Package com.macrofocus.high_d.scatterplot.javafx

# Class JavaFXScatterPlot<R,C>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>
com.macrofocus.high_d.scatterplot.javafx.JavaFXScatterPlot<R,C>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`

public class JavaFXScatterPlot<R,C> extends AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXScatterPlot()`
  `JavaFXScatterPlot(ScatterPlotModel model)`
  `JavaFXScatterPlot(com.macrofocus.molap.dataframe.DataFrame dataFrame)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ScatterPlotController`
  `createController(ScatterPlotView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected ScatterPlotModel<javafx.scene.paint.Color,R,C>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`
  `void`
  `setStyleClass(String... styleClasses)`
  `void`
  `setView(ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C> view)`
  Sets the view to be used by the scatter plot component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `getController, getModel, getView, load, setController, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXScatterPlot

    public JavaFXScatterPlot()

  - ### JavaFXScatterPlot

    public JavaFXScatterPlot(ScatterPlotModel model)

  - ### JavaFXScatterPlot

    public JavaFXScatterPlot(com.macrofocus.molap.dataframe.DataFrame dataFrame)

- ## Method Details

  - ### setView

    public void setView(ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C> view)
    Description copied from interface: `ScatterPlot`
    Sets the view to be used by the scatter plot component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`
    Overrides:
      `setView` in class `AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`
    Parameters:
      `view` - the view to be used

  - ### createModel

    protected ScatterPlotModel<javafx.scene.paint.Color,R,C> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractScatterPlot`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ScatterPlotModel instance

  - ### createView

    protected ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C> createView()
    Description copied from class: `AbstractScatterPlot`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`
    Returns:
      a ScatterPlotView instance

  - ### createController

    protected ScatterPlotController createController(ScatterPlotView view)
    Description copied from class: `AbstractScatterPlot`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,R,C>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a ScatterPlotController instance

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()